Get earnings data

Returns cursor-paginated invoice data for the authenticated creator over a specified time period. Each transaction includes information about the fan who made the payment. <Info>Scope required: `read:insights`</Info>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Fanvue-API-VersionstringRequiredDefaults to 2025-06-26
API version to use for the request

Query parameters

startDatestringOptionalformat: "date-time"

Start date as ISO 8601 datetime string with optional timezone offset (e.g., 2024-10-20T00:00:00+01:00 or 2024-10-20T00:00:00Z).

endDatestringOptionalformat: "date-time"

End date as ISO 8601 datetime string with optional timezone offset (e.g., 2024-10-25T00:00:00+01:00 or 2024-10-25T00:00:00Z). Non-inclusive - data before this date is included.

sourcelist of enumsOptional

Comma-separated list of earning sources. Default: all

cursorstringOptional

Cursor for pagination - If given, pass nextCursor to get the next page.

sizedoubleOptional1-50Defaults to 20

Number of items to return per page (1-50, default: 20)

Response

Earnings data with cursor pagination
datalist of objects
nextCursorstring or null
Cursor for next page, null if no more data

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
410
Gone Error
429
Too Many Requests Error